POST
Vedic Week Day information
Vedic Week Day information
/vedicweekday
Method
POST
Format
JSON
Auth
API Key
Credits
1
Overview
Vedic Week Day informationRequest Parameters
| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
year
|
integer | Yes | Year number, eg: 2023 | 2023 |
month
|
integer | Yes | Month number,with no leading zero | 7 |
date
|
integer | Yes | Day number,with no leading zero | 5 |
hours
|
integer | Yes | Hours number,with no leading zero | 1 |
minutes
|
integer | Yes | Minutes number,with no leading zero | 1 |
seconds
|
integer | Yes | Seconds number, with no leading zero | 0 |
latitude
|
float | Yes | Latitude number, in the range from -90 to 90 | 12.86 |
longitude
|
float | Yes | Longitude number, in the range from -180 to 180 | 123.5 |
timezone
|
float | Yes | Timezone of birth location, eg: 5.5 | 5.5 |
config
|
object | No | Contains optional configuration values | |
ayanamsha
|
string | No | Either "tropical" or "sayana" or "lahiri" | Either "tropical" or "sayana" or "lahiri" |
observation_point
|
string | No | Geocentric positions are calculated with respect to the center of Earth. Topocentric positions are calculated with respect to the actual given place | Either "topocentric" or "geocentric" |
language
|
string | No | Valid 2 letter ISO 639-1 language code | Either "en" For English or "te" for Telugu or "hi" for Hindi or "ta" for Tamil or "kn" for Kannada or "ml" for Malayalam or "or" for Odia or "gu" for Gujarati or "pa" for Punjabi or "bn" for Bengali or "mr" for Marathi or "as" for Assamese or "ur" for Urdu or "ne" for Nepali |
Supported Languages
This API endpoint supports the following languages.
Use the corresponding 2-letter language code
in the language parameter when making your request.
| Language | Code |
|---|---|
| English |
en
|
| Telugu |
te
|
| Hindi |
hi
|
| Tamil |
ta
|
| Kannada |
kn
|
| Malayalam |
ml
|
| Odia |
or
|
| Gujarati |
gu
|
| Punjabi |
pa
|
| Bengali |
bn
|
| Marathi |
mr
|
| Assamese |
as
|
| Urdu |
ur
|
| Nepali |
ne
|
Example
To request the response in Telugu, use
te as the language code:
{
"language": "te"
}
Request Example
{
"year": 2024,
"month": 9,
"date": 1,
"hours": 20,
"minutes": 10,
"seconds": 0,
"latitude": 29.5523,
"longitude": 103.7661,
"timezone": 8,
"config": {
"observation_point": "geocentric", /* topocentric / geocentric */
"ayanamsha": "lahiri", /* lahiri / sayana */
"language":"en" /* te / en */
}
}
Response Examples
Example responses returned by this API.
Hindi Response
{
"statusCode": 200,
"output": {
"weekday_number": 7,
"weekday_name": "रविवार",
"vedic_weekday_number": 7,
"vedic_weekday_name": "रविवार"
}
}
Telugu Response
{
"statusCode": 200,
"output": {
"weekday_number": 7,
"weekday_name": "ఆదివారము",
"vedic_weekday_number": 7,
"vedic_weekday_name": "ఆదివారము"
}
}
Tamil Response
{
"statusCode": 200,
"output": {
"weekday_number": 7,
"weekday_name": "ஞாயிற்றுக்கிழமை",
"vedic_weekday_number": 7,
"vedic_weekday_name": "ஞாயிற்றுக்கிழமை"
}
}
English Response
{
"statusCode": 200,
"output": {
"weekday_number": 7,
"weekday_name": "Sunday",
"vedic_weekday_number": 7,
"vedic_weekday_name": "Sunday"
}
}
Kannada Response
{
"statusCode": 200,
"output": {
"weekday_number": 7,
"weekday_name": "ಭಾನುವಾರ",
"vedic_weekday_number": 7,
"vedic_weekday_name": "ಭಾನುವಾರ"
}
}
Malayalam response
{
"statusCode": 200,
"output": {
"weekday_number": 7,
"weekday_name": "ഞായർ",
"vedic_weekday_number": 7,
"vedic_weekday_name": "ഞായർ"
}
}
Gujarati Response
{
"statusCode": 200,
"output": {
"weekday_number": 7,
"weekday_name": "રવિવાર",
"vedic_weekday_number": 7,
"vedic_weekday_name": "રવિવાર"
}
}
Code Examples
Use the following examples to integrate this API into your application.
PHP Code
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://json.freeastrologyapi.com/vedicweekday',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => '',
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 0,
CURLOPT_FOLLOWLOCATION => true,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_POSTFIELDS =>'{
"year": 2024,
"month": 9,
"date": 1,
"hours": 20,
"minutes": 10,
"seconds": 0,
"latitude": 29.5523,
"longitude": 103.7661,
"timezone": 8,
"config": {
"observation_point": "geocentric",
"ayanamsha": "lahiri",
"language":"ne"
}
}',
CURLOPT_HTTPHEADER => array(
'Content-Type: application/json',
'x-api-key: YOUR_API_KEY_HERE'
),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
Python Code
import requests
import json
url = "https://json.freeastrologyapi.com/vedicweekday"
payload = json.dumps({
"year": 2024,
"month": 9,
"date": 1,
"hours": 20,
"minutes": 10,
"seconds": 0,
"latitude": 29.5523,
"longitude": 103.7661,
"timezone": 8,
"config": {
"observation_point": "geocentric",
"ayanamsha": "lahiri",
"language": "ne"
}
})
headers = {
'Content-Type': 'application/json',
'x-api-key': 'YOUR_API_KEY_HERE'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
Node JS Code
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://json.freeastrologyapi.com/vedicweekday',
'headers': {
'Content-Type': 'application/json',
'x-api-key': 'YOUR_API_KEY_HERE'
},
body: JSON.stringify({
"year": 2024,
"month": 9,
"date": 1,
"hours": 20,
"minutes": 10,
"seconds": 0,
"latitude": 29.5523,
"longitude": 103.7661,
"timezone": 8,
"config": {
"observation_point": "geocentric",
"ayanamsha": "lahiri",
"language": "ne"
}
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});